Endpoints

Products

List the workspace's active products, for a storefront or a product feed.

List products

Request
GET /products

Returns active products only, sorted by name, with their category and variants.

Query parameterDescription
searchMatches product name or SKU.
category_idOnly products in this category.
pagePage number, starting at 1.
per_pageProducts per page, 1 to 100. Defaults to 15.
Response
{
  "status": "success",
  "message": "Products",
  "data": {
    "products": [
      {
        "id": 12,
        "name": "Cotton T-shirt",
        "sku": "TS-001",
        "description": "…",
        "price": "19.00",
        "compare_at_price": null,
        "track_inventory": true,
        "stock": 40,
        "low_stock_threshold": 5,
        "is_low_stock": false,
        "image": "https://…/tshirt.jpg",
        "status": "active",
        "category": { "id": 3, "name": "Apparel", "slug": "apparel", "parent_id": null },
        "variants": [],
        "created_at": "…",
        "updated_at": "…"
      }
    ],
    "pagination": { "current_page": 1, "last_page": 4, "per_page": 15, "total": 52 }
  }
}